using System;
using System.IO;
using System.Security.Cryptography;
using System.Text;

public partial class Descriptografiar : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Response.Write(Descriptografar(System.Convert.FromBase64String("EFlGWwTXD0e1c8zdFj80cg=="), "Senha"));
    }

    private string Descriptografar(byte[] dados, string senha)
    {
        byte[] pw = Encoding.UTF8.GetBytes(senha);

        RijndaelManaged rm = new RijndaelManaged();
        PasswordDeriveBytes pdb = new PasswordDeriveBytes(senha, new MD5CryptoServiceProvider().ComputeHash(pw));
        rm.Key = pdb.GetBytes(32);
        rm.IV = pdb.GetBytes(16);
        rm.BlockSize = 128;
        rm.Padding = PaddingMode.PKCS7;

        MemoryStream ms = new MemoryStream(dados, 0, dados.Length);

        CryptoStream cryptStream = new CryptoStream(ms, rm.CreateDecryptor(rm.Key, rm.IV), CryptoStreamMode.Read);
        StreamReader sr = new StreamReader(cryptStream);
        return sr.ReadToEnd();
    }

}